LightWayTxtText Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
LightWayTxtText Class Reference

the main class to read the text part of LightWay Text file More...

`#include <LightWayTxtText.hxx>`

## Public Member Functions
| LightWayTxtText (LightWayTxtParser &parser)
| constructor
virtual | ~LightWayTxtText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions
bool | createZones ()
| finds the different text zones
bool | sendMainText ()
| send a main zone
bool | getColor (int id, MWAWColor &col) const
| return a color corresponding to an id
void | flushExtra ()
| sends the data which have not yet been sent to the listener
void | computePositions ()
| compute the positions
bool | readFonts (MWAWEntry const &entry)
| read the fonts ( styl resource)
bool | readFont2 (MWAWEntry const &entry)
| read the Font2 resource ( underline, upperline, ...)
bool | readRulers (MWAWEntry const &entry)
| read the rulers (stylx resource)
void | setProperty (MWAWParagraph const &para)
| send the paragraph properties
bool | readRuby (MWAWEntry const &entry)
| read the ruby data
bool | readDocumentHF (MWAWEntry const &entry)
| read the header/footer part of the document zone
bool | hasHeaderFooter (bool header) const
| returns true if there is a header/footer
bool | sendHeaderFooter (bool header)
| try to send the header/footer
bool | readStyleU (MWAWEntry const &entry)
| read the unknown styu resource
bool | readUnknownStyle (MWAWEntry const &entry)
| read the styl resource

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< LightWayTxtTextInternal::State > | m_state
| the state
LightWayTxtParser * | m_mainParser
| the main parser;

## Private Member Functions
| LightWayTxtText (LightWayTxtText const &orig)=delete
LightWayTxtText & | operator= (LightWayTxtText const &orig)=delete

## Friends
class | LightWayTxtParser

## Detailed Description

the main class to read the text part of LightWay Text file

## Constructor & Destructor Documentation

## ◆ LightWayTxtText() [1/2]

LightWayTxtText::LightWayTxtText | ( | LightWayTxtParser & | parser | ) |
| explicit

constructor

## ◆ ~LightWayTxtText()

LightWayTxtText::~LightWayTxtText | ( |  | ) |
| virtual

destructor

## ◆ LightWayTxtText() [2/2]

LightWayTxtText::LightWayTxtText | ( | LightWayTxtText const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ computePositions()

void LightWayTxtText::computePositions | ( |  | ) |
| protected

compute the positions

Referenced by createZones(), and numPages().

## ◆ createZones()

bool LightWayTxtText::createZones | ( |  | ) |
| protected

finds the different text zones

## ◆ flushExtra()

void LightWayTxtText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ getColor()

bool LightWayTxtText::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  | const
| protected

return a color corresponding to an id

Referenced by readFont2().

## ◆ hasHeaderFooter()

bool LightWayTxtText::hasHeaderFooter | ( | bool | header | ) | const
| protected

returns true if there is a header/footer

## ◆ numPages()

int LightWayTxtText::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

LightWayTxtText & LightWayTxtText::operator= | ( | LightWayTxtText const & | orig | ) |
| privatedelete

## ◆ readDocumentHF()

bool LightWayTxtText::readDocumentHF | ( | MWAWEntry const & | entry | ) |
| protected

read the header/footer part of the document zone

## ◆ readFont2()

bool LightWayTxtText::readFont2 | ( | MWAWEntry const & | entry | ) |
| protected

read the Font2 resource ( underline, upperline, ...)

Referenced by createZones().

## ◆ readFonts()

bool LightWayTxtText::readFonts | ( | MWAWEntry const & | entry | ) |
| protected

read the fonts ( styl resource)

Referenced by createZones().

## ◆ readRuby()

bool LightWayTxtText::readRuby | ( | MWAWEntry const & | entry | ) |
| protected

read the ruby data

Referenced by createZones().

## ◆ readRulers()

bool LightWayTxtText::readRulers | ( | MWAWEntry const & | entry | ) |
| protected

read the rulers (stylx resource)

Referenced by createZones().

## ◆ readStyleU()

bool LightWayTxtText::readStyleU | ( | MWAWEntry const & | entry | ) |
| protected

read the unknown styu resource

Referenced by createZones().

## ◆ readUnknownStyle()

bool LightWayTxtText::readUnknownStyle | ( | MWAWEntry const & | entry | ) |
| protected

read the styl resource

Referenced by createZones().

## ◆ sendHeaderFooter()

bool LightWayTxtText::sendHeaderFooter | ( | bool | header | ) |
| protected

try to send the header/footer

## ◆ sendMainText()

bool LightWayTxtText::sendMainText | ( |  | ) |
| protected

send a main zone

## ◆ setProperty()

void LightWayTxtText::setProperty | ( | MWAWParagraph const & | para | ) |
| protected

send the paragraph properties

Referenced by sendMainText().

## ◆ version()

int LightWayTxtText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ LightWayTxtParser

friend class LightWayTxtParser
| friend

## Member Data Documentation

## ◆ m_mainParser

LightWayTxtParser* LightWayTxtText::m_mainParser
| protected

the main parser;

Referenced by createZones(), readDocumentHF(), readFont2(), readFonts(), readRuby(), readRulers(), readStyleU(), readUnknownStyle(), sendHeaderFooter(), and sendMainText().

## ◆ m_parserState

MWAWParserStatePtr LightWayTxtText::m_parserState
| protected

the parser state

Referenced by readDocumentHF(), readFont2(), readFonts(), sendHeaderFooter(), sendMainText(), setProperty(), and version().

## ◆ m_state

std::shared_ptr<LightWayTxtTextInternal::State> LightWayTxtText::m_state
| protected

the state

Referenced by computePositions(), hasHeaderFooter(), numPages(), readDocumentHF(), readFont2(), readFonts(), readRuby(), readRulers(), readStyleU(), sendHeaderFooter(), sendMainText(), and version().

The documentation for this class was generated from the following files:

- LightWayTxtText.hxx
- LightWayTxtText.cxx